#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
    //environment
    ofBackground(0, 0, 0);
    ofEnableAlphaBlending();
    ofSetRectMode(OF_RECTMODE_CENTER);
    //
    mouseMoving=false;
    for(int i=0; i<numSquares; i++){
        posX[i]=ofRandomWidth();
        posY[i]=ofRandomHeight();
        vari[i]=ofRandom(50);
    }
    limit = 300;
}

//--------------------------------------------------------------
void testApp::update(){
    int speed = 200;
    if(mouseMoving){
        for(int i=0; i<numSquares; i++){
            dist[i]=ofDist(posX[i], posY[i], mouseX, mouseY);
            if(dist[i]+vari[i]>limit){
                posX[i]+=(mouseX-posX[i])/speed;
                posY[i]+=(mouseY-posY[i])/speed;
            }else{
                posX[i]-=(mouseX-posX[i])/speed;
                posY[i]-=(mouseY-posY[i])/speed;
            }
        }
    }
}

//--------------------------------------------------------------
void testApp::draw(){
    int size = 150;
    for(int i=0; i<numSquares; i++){
        int blue = posX[i]/ofGetWidth()*255;
        int red = posY[i]/ofGetHeight()*255;
        int green = dist[i]/limit*255;
        ofSetColor(red, green, blue, 70);
        ofRect(posX[i], posY[i], size, size);
    }
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
    mouseMoving=true;
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){ 

}